> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connected App Details

> Get details about the specified Connected App

Retrieve information about the specified Connected App as well as a list of the Organization's Members who have the App installed and the scopes they requested at completion of their last authorization flow with the App.


## OpenAPI

````yaml GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 2.1.1
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://api.stytch.com
    description: Production server
  - url: https://test.stytch.com
    description: Test server
security:
  - basicAuth: []
paths:
  /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}:
    get:
      tags:
        - Organization
      summary: Getconnectedapp
      description: >-
        Get Connected App for Organization retrieves information about the
        specified Connected App as well as a list of the

        Organization's Members who have the App installed along with the scopes
        they requested at completion of their last

        authorization with the App.
      operationId: api_organization_v1_GetConnectedApp
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              Globally unique UUID that identifies a specific Organization. The
              `organization_id` is critical to perform operations on an
              Organization, so be sure to preserve this value. You may also use
              the organization_slug or organization_external_id here as a
              convenience.
          description: >-
            Globally unique UUID that identifies a specific Organization. The
            `organization_id` is critical to perform operations on an
            Organization, so be sure to preserve this value. You may also use
            the organization_slug or organization_external_id here as a
            convenience.
        - name: connected_app_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the Connected App.
          description: The ID of the Connected App.
        - name: X-Stytch-Member-Session
          in: header
          required: false
          description: >-
            A Stytch session that can be used to run the request with the given
            member's permissions.
          schema:
            type: string
        - name: X-Stytch-Member-SessionJWT
          in: header
          required: false
          description: >-
            A Stytch Session JSON Web Token (JWT) that can be used to run the
            request with the given member's permissions.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api_organization_v1_GetConnectedAppResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
      x-code-samples:
        - lang: csharp
          label: C#
          source: >-
            // GET
            /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}

            const stytch = require('stytch');


            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });


            const params = {
              organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
              connected_app_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
            };


            const options = {
              authorization: {
                session_token: '${sessionToken}',
              },
            };


            client.Organizations.GetConnectedApp(params, options)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: go
          label: Go
          source: "// GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}\npackage main\n\nimport (\n\t\"context\"\n\t\"log\"\n\n\t\"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/b2b/organizations\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/methodoptions\"\n)\n\nfunc main() {\n\tclient, err := b2bstytchapi.NewClient(\n\t\t\"${projectId}\",\n\t\t\"${secret}\",\n\t)\n\tif err != nil {\n\t\tlog.Fatalf(\"error instantiating client: %v\", err)\n\t}\n\n\tparams := &organizations.GetConnectedAppParams{\n\t\tOrganizationID: \"organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931\",\n\t\tConnectedAppID: \"connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888\",\n\t}\n\n\toptions := &organizations.GetConnectedAppParamsOptions{\n\t\tAuthorization: methodoptions.Authorization{\n\t\t\tSessionToken: \"${sessionToken}\",\n\t\t},\n\t}\n\n\tresp, err := client.Organizations.GetConnectedApp(context.Background(), params, options)\n\tif err != nil {\n\t\tlog.Fatalf(\"error in method call: %v\", err)\n\t}\n\n\tlog.Println(resp)\n}\n"
        - lang: java
          label: Java
          source: >-
            // GET
            /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}

            package com.example;


            import
            com.stytch.java.b2b.models.organizations.GetConnectedAppRequest;

            import
            com.stytch.java.b2b.models.organizations.GetConnectedAppRequestOptions;

            import com.stytch.java.b2b.StytchB2BClient;

            import com.stytch.java.common.methodoptions.Authorization;

            import com.stytch.java.common.StytchResult;


            public class Main {
                public static void main(String[] args) {
                    StytchB2BClient.configure("${projectId}", "${secret}");

                    GetConnectedAppRequest params = new GetConnectedAppRequest();
                    params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
                    params.setConnectedAppId("connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888");

                    GetConnectedAppRequestOptions options = new GetConnectedAppRequestOptions();
                    Authorization authorization = new Authorization();
                    authorization.setSessionToken("${sessionToken}");
                    options.setAuthorization(authorization);

                    Object result = StytchB2BClient.getOrganizations().getConnectedApp(params, options);
                    if (result instanceof StytchResult.Success) {
                      System.out.println(((StytchResult.Success) result).getValue());
                    } else {
                      System.out.println(((StytchResult.Error) result).getException());
                    }
                }
            }
        - lang: kotlin
          label: Kotlin
          source: >
            // GET
            /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}

            package com.example


            import com.stytch.java.b2b.StytchB2BClient

            import
            com.stytch.java.b2b.models.organizations.GetConnectedAppRequest

            import
            com.stytch.java.b2b.models.organizations.GetConnectedAppRequestOptions

            import com.stytch.java.common.methodoptions.Authorization


            fun main() {
                StytchB2BClient.configure(
                    projectId = "${projectId}",
                    secret = "${secret}",
                )

                when (
                    val result =
                        StytchB2BClient.organizations.getConnectedApp(
                            GetConnectedAppRequest(
                                organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
                                connectedAppId = "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
                            ),
                            GetConnectedAppRequestOptions(
                                Authorization(
                                    sessionToken = "${sessionToken}",
                                ),
                            ),
                        )
                ) {
                    is StytchResult.Success -> println(result.value)
                    is StytchResult.Error -> println(result.exception)
                }
            }
        - lang: javascript
          label: Node.js
          source: >-
            // GET
            /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}

            const stytch = require('stytch');


            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });


            const params = {
              organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
              connected_app_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
            };


            const options = {
              authorization: {
                session_token: '${sessionToken}',
              },
            };


            client.organizations.getConnectedApp(params, options)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: php
          label: PHP
          source: |-
            $response = $client->organizations->get_connected_app([
                'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
                'connected_app_id' => 'connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888',
            ], [
                    'authorization' => ['session_token' => '${sessionToken}'],

            ]);
        - lang: python
          label: Python
          source: >
            # GET
            /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}

            from stytch import B2BClient

            from stytch.b2b.models.organizations import
            GetConnectedAppRequestOptions

            from stytch.shared.method_options import Authorization


            client = B2BClient(
                project_id="${projectId}",
                secret="${secret}",
            )


            resp = client.organizations.get_connected_app(
                organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
                connected_app_id="connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
                method_options=GetConnectedAppRequestOptions(
                    authorization=Authorization(
                        session_token="${sessionToken}",
                    ),
                ),
            )


            print(resp)
        - lang: ruby
          label: Ruby
          source: >-
            # frozen_string_literal: true


            # GET
            /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}

            require 'stytch'


            client = StytchB2B::Client.new(
              project_id: "${projectId}",
              secret: "${secret}"
            )


            resp = client.organizations.get_connected_app(
              organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
              connected_app_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
              method_options: StytchB2B::Organizations::GetConnectedAppRequestOptions.new(
                authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
              )
            )


            puts resp
        - lang: rust
          label: Rust
          source: >-
            // GET
            /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}

            use stytch::b2b::client::Client;

            use stytch::b2b::organizations::GetConnectedAppRequest;


            fn main() {
                let client = Client::new("${projectId}", "${secret}").unwrap();
                let resp = client.organizations.get_connected_app(
                    GetConnectedAppRequest{
                        organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
                        connected_app_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
                        ..Default::default()
                    }
                ).await;
                println!("The response is {:?}", resp);
            }
        - lang: bash
          label: cURL
          source: >-
            # GET
            /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}

            curl --request GET \
              --url https://test.stytch.com/v1/b2b/organizations/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931/connected_apps/connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888 \
              -u '${projectId}:${secret}' \
              -H 'Content-Type: application/json' \
              -H "X-Stytch-Member-Session: ${sessionToken}"
components:
  schemas:
    api_organization_v1_GetConnectedAppResponse:
      type: object
      properties:
        connected_app_id:
          type: string
          description: The ID of the Connected App.
        name:
          type: string
          description: The name of the Connected App.
        description:
          type: string
          description: A description of the Connected App.
        client_type:
          type: string
          description: >-
            The type of Connected App. Supported values are `first_party`,
            `first_party_public`, `third_party`, and `third_party_public`.
        active_members:
          type: array
          items:
            $ref: >-
              #/components/schemas/api_organization_v1_OrganizationConnectedAppActiveMember
          description: Details about Members who has installed a Connected App.
        status_code:
          type: integer
          format: int32
        logo_url:
          type: string
      required:
        - connected_app_id
        - name
        - description
        - client_type
        - active_members
        - status_code
    api_organization_v1_OrganizationConnectedAppActiveMember:
      type: object
      properties:
        member_id:
          type: string
          description: Globally unique UUID that identifies a specific Member.
        granted_scopes:
          type: array
          items:
            type: string
          description: >-
            Scopes that were granted at the completion of the last authorization
            flow.
      required:
        - member_id
        - granted_scopes
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````